Fix/Implement/Test InProcess Connectors
04/29/2011 02:47 PM - J. Moringen

Status: Resolved Start date: 04/29/2011
Priority: High Due date:
Assignee: J. Moringen % Done: 100%
Category: C++ Estimated time: 5.00 hours
Target version:
Description
The InProcess connector has to be disabled to implement #255. In addition the following aspects are missing
    -  Unit tests
    -  Event delivery according to scope hierarchy

Related issues:
Follows Robotics Service Bus - Tasks # 255: Separate In and OutConnectors Resolved 04/23/2011

Associated revisions
Revision 240e0077 - 04/30/2011 12:59 AM - J. Moringen
Initial rewrite of in-process Connectors
refs #265
    -  src/CMakeLists.txt: added

  src/rsb/transport/inprocess/{Bus,InConnector,OutConnector}.{h,cpp}
    -  src/rsb/transport/inprocess/Bus.{h,cpp}: new; a "bus" that extends

  across one process
    -  src/rsb/transport/inprocess/InConnector.{h,cpp}: new; in connector

  for in-process communication
    -  src/rsb/transport/inprocess/OutConnector.{h,cpp}: new; out connector

  for in-process communication
    -  src/rsb/transport/inprocess/InProcessConnector.{h,cpp}: removed

Revision 65610f0c - 04/30/2011 06:04 PM - J. Moringen
Added unit test for inprocess connector
fixes #265
    -  test/CMakeLists.txt: added files test/rsbtest_inprocess.cpp and

  test/rsb/transport/inprocess/InProcessConnectorTest.cpp; added unit
  test executable rsbtest_inprocess

    -  test/rsbtest_inprocess.cpp: entry point for inprocess connector unit
  test

    -  test/rsb/transport/inprocess/InProcessConnectorTest.cpp: unit test
  for inprocess connector; modeled after spread unit test

History
#1 - 04/29/2011 08:13 PM - J. Moringen
- Assignee set to J. Moringen

#2 - 04/29/2011 11:16 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 50

#3 - 04/30/2011 07:09 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset r724.
